org.bdgenomics.adam.models

# SequenceOrdering

#### object SequenceOrdering extends Ordering[SequenceRecord]

Linear Supertypes
Ordering[SequenceRecord], PartialOrdering[SequenceRecord], Equiv[SequenceRecord], Serializable, Serializable, Comparator[SequenceRecord], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SequenceOrdering
2. Ordering
3. PartialOrdering
4. Equiv
5. Serializable
6. Serializable
7. Comparator
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compare(a: SequenceRecord, b: SequenceRecord): Int

   Definition Classes
     SequenceOrdering → Ordering → Comparator

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def equiv(x: SequenceRecord, y: SequenceRecord): Boolean

    Definition Classes
      Ordering → PartialOrdering → Equiv

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def gt(x: SequenceRecord, y: SequenceRecord): Boolean

    Definition Classes
      Ordering → PartialOrdering

15. #### def gteq(x: SequenceRecord, y: SequenceRecord): Boolean

    Definition Classes
      Ordering → PartialOrdering

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def lt(x: SequenceRecord, y: SequenceRecord): Boolean

    Definition Classes
      Ordering → PartialOrdering

19. #### def lteq(x: SequenceRecord, y: SequenceRecord): Boolean

    Definition Classes
      Ordering → PartialOrdering

20. #### def max(x: SequenceRecord, y: SequenceRecord): SequenceRecord

    Definition Classes
      Ordering

21. #### def min(x: SequenceRecord, y: SequenceRecord): SequenceRecord

    Definition Classes
      Ordering

22. #### implicit def mkOrderingOps(lhs: SequenceRecord): Ops

    Definition Classes
      Ordering

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def on[U](f: (U) ⇒ SequenceRecord): Ordering[U]

    Definition Classes
      Ordering

27. #### def reverse: Ordering[SequenceRecord]

    Definition Classes
      Ordering → PartialOrdering

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### def tryCompare(x: SequenceRecord, y: SequenceRecord): Some[Int]

    Definition Classes
      Ordering → PartialOrdering

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Ordering[SequenceRecord]

### Inherited from PartialOrdering[SequenceRecord]

### Inherited from Equiv[SequenceRecord]

### Inherited from Serializable

### Inherited from Comparator[SequenceRecord]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped